Project APIAnnotations
Get an annotation
Authorization
personalAccessTokenAuth AuthorizationBearer <token>
Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
applicationId*number
Gamebeast project ID
annotationId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidHeader Parameters
environment_id*number
Gamebeast environment ID
Response Body
application/json
curl -X GET "https://example.com/application/0/analytics/v1/annotations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "environment_id: 0"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "icon": "flag", "color": "chart-1", "systemKey": "experiment.lifecycle" }, "name": "string", "description": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "openEnded": true, "url": "string", "source": "user", "createdBy": { "userId": "string", "name": "string" }, "sourceRef": "string", "editable": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}